package main

import (
	"log"
	"net/http"
	"os"

	"git.teamworkapps.com/shortcut/enhancedfileserver"
)

/* Most simple example of using enhanced-file-server package. Will serve from the current directory on port 12345 */

func main() {
	dir, err := os.Getwd()
	if err != nil {
		log.Fatal(err)
	}

	log.Fatal(http.ListenAndServe(":12345", enhancedfileserver.FileServer(http.Dir(dir))))
}
