# enhancedfileserver

This package is designed to enhance Go's built-in http file server function and provide additional features.

Where the native function's file listing was just an alphabetical set of files, this one adds file size, date, owner/group, and sorting capability.

This can be a drop-in replacement and is largely based on the original code. See the included example for a simple use,
or https://git.teamworkapps.com/shortcut/httphere for something more practical.

Optionally, you can elect to not generate an automatic directory index by using FileServerNoIndex() in place of FileServer().
